<?php
  sscanf(microtime(),"%s %s",$usec,$sec);
  $micro1=$sec+$usec;
  $filtro=array(";","DROP","DELETE","ALTER","DELETE","INSERT");
  $cadena=getParam("cadena");
  $cadena=strtoupper($cadena);
  $cadena=str_replace($filtro," ",$cadena);
  $palabras=array();
  $tok=strtok($cadena," ");
  while($tok) {
    $palabras[]=$tok;
    $tok=strtok(" ");
  }
  $numero=count($palabras);
  $cadena=implode(" ",$palabras);
$query="select 1 as 'type',titulo,id,fecha from news where
estado='1' and (tipo_contenido='2' or tipo_contenido='".$current_valid."') ";
for($i=0;$i<$numero;$i++) {
  $query=$query."and (
  titulo like '%".$palabras[$i]."%' or
  resumen like '%".$palabras[$i]."%' or
  piefoto1 like '%".$palabras[$i]."%' or
  piefoto2 like '%".$palabras[$i]."%' or
  noticia_ampliada like '%".$palabras[$i]."%' or
  url_relacionada like '%".$palabras[$i]."%')";
}
$query=$query."union 
select 2 as 'type',titulo,id,fecha from events where 
estado='1' and (tipo_contenido='2' or tipo_contenido='".$current_valid."') ";
for($i=0;$i<$numero;$i++) {
  $query=$query."and (
  titulo like '%".$palabras[$i]."%' or
  resumen like '%".$palabras[$i]."%' or
  piefoto1 like '%".$palabras[$i]."%' or
  piefoto2 like '%".$palabras[$i]."%' or
  noticia_ampliada like '%".$palabras[$i]."%' or
  url_relacionada like '%".$palabras[$i]."%' or
  lugar like '%".$palabras[$i]."%' or
  email like '%".$palabras[$i]."%')";
}
$query=$query."union 
select 3 as 'type',titulo,id,fecha from downloads where 
estado='1' and (tipo_contenido='2' or tipo_contenido='".$current_valid."') ";
for($i=0;$i<$numero;$i++) {
  $query=$query."and (
  titulo like '%".$palabras[$i]."%' or
  descripcion like '%".$palabras[$i]."%' or
  real_file like '%".$palabras[$i]."%' or
  enlace_externo like '%".$palabras[$i]."%')";
}
$query=$query."union 
select 4 as 'type',titulo,id,fecha from encuestas where 
estado='1' and (tipo_contenido='2' or tipo_contenido='".$current_valid."') ";
for($i=0;$i<$numero;$i++) {
  $query=$query."and (
  titulo like '%".$palabras[$i]."%' or
  descripcion like '%".$palabras[$i]."%')";
}
  $result=mysql_query($query,$link);
  if(!$result) die(mysql_error());
  $total=mysql_num_rows($result);
  $pnum=sprintf("%d",$pnum);
  $num1=$pnum+1;
  $num2=$pnum+$plim;
  if($num2>$total) $num2=$total;
  $pmin=0;
  $pant=$pnum-$plim;
  if($pant<$pmin) $pant=$pmin;
  $pmax=((int)(($total-1)/$plim))*$plim;
  $psig=$pnum+$plim;
  if($psig>$pmax) $psig=$pmax;
  sscanf(microtime(),"%s %s",$usec,$sec);
  $micro2=$sec+$usec;
?>
     <table width="100%"  border="0" cellspacing="1" cellpadding="1">
      <tr>
        <td class="verddeu"><p><img src="img/titol10.gif" width="465" height="27"></p></td>
      </tr>
      <tr>
        <td><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="23%" bgcolor="#EEEFF1" class="docegrana"><div align="center">S'ha cercat '<?php echo $cadena; ?>' en <?php printf("%.2f",($micro2-$micro1)*1000); ?> milisegons</div></td>
          </tr>
          <tr>
            <td valign="top"><table width="100%" cellpadding="2" cellspacing="2" class="tabbajo">
              <tr>
		<td width="33%" valign="top" class="verddeu"><p align="justify"><a href="javascript:history.back();">&lt;&lt;Tornar</a></p></td>
                <td width="33%" valign="top" class="verddeu"><div align="center"><strong>
<?php if($total!=0) { ?>
Resultats <?php echo $num1."-".$num2." de ".$total; ?>
<?php } else { ?>
&nbsp;
<?php } ?>
</strong></div></td>
		<td width="33%" valign="top" class="verddeu"></td>
                </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="364" valign="top">
<?php
  $linkpage=array('notis2','event2','descargas','encuestas');
  $encontrado=0;
  $contador=0;
  for($i=0;$i<$pnum;$i++) $row=mysql_fetch_array($result);
  while($row=mysql_fetch_array($result) and $contador<$plim) {
    $encontrado=1;
    $contador++;
?>
        <table width="100%"  border="0" cellpadding="1" cellspacing="1" bgcolor="#EEEFF1">
          <tr>
            <td width="66%" height="19"><a href="inicio.php?page=<?php echo $linkpage[$row["type"]-1]; ?>&id=<?php echo $row["id"]; ?>"><span class="docegrana"><img src="img/icon4.gif" width="12" height="8" border="0"><?php echo $row["titulo"]; ?></span></a></td>
            <td width="17%"><a href="inicio.php?page=<?php echo $linkpage[$row["type"]-1]; ?>&id=<?php echo $row["id"]; ?>" class="verddeu">llegir mes</a></td>
            <td width="17%" class="verddeu"><div align="right"><?php echo convert_date($row["fecha"]); ?></div></td>
          </tr>
        </table>
          <br>
<?php
  }
  mysql_free_result($result);
  if(!$encontrado) {
?>
        <table width="100%"  border="0" cellpadding="1" cellspacing="1" bgcolor="#EEEFF1">
          <tr>
            <td width="100%" height="19"><center><span class="docegrana">No s'ha trobat cap resultat per mostrar</span><center></td>
          </tr>
        </table>
          <br>
<?php
  }
  if($total>$plim) {
?>
          <table width="100%"  border="0" cellpadding="1" cellspacing="1" bgcolor="#EEEFF1">
    <TR>
      <TD align=left class=nolink height="19"><span class="docegrana">
<?php if($pnum>0) { ?>
        <A href="inicio.php?page=buscador&pnum=<?php echo $pmin; ?>&cadena=<?php echo $cadena; ?>"><img src="images/primero.jpg" border="0" alt="Anar a la plana inicial" title="Anar a la plana inicial"></A>
        <A href="inicio.php?page=buscador&pnum=<?php echo $pant; ?>&cadena=<?php echo $cadena; ?>"><img src="images/ant.jpg" border="0" alt="Anar a la plana anterior" title="Anar a la plana anterior"></A>
<?php } ?>
      </span></TD>
      <TD align=right class=nolink height="19"><span class="docegrana">
<?php if($pnum<$pmax) { ?>
        <A href="inicio.php?page=buscador&pnum=<?php echo $psig; ?>&cadena=<?php echo $cadena; ?>"><img src="images/sig.jpg" border="0" alt="Anar a la plana següent" title="Anar a la plana següent"></A>
        <A href="inicio.php?page=buscador&pnum=<?php echo $pmax; ?>&cadena=<?php echo $cadena; ?>"><img src="images/ultimo.jpg" border="0" alt="Anar a la darrera plana" title="Anar a la darrera plana"></A>
<?php } ?>
      </span></TD>
    </TR>
          </table>
          <br>
<?php } ?>
          <a href="javascript:history.back();" class="verddeu">&lt;&lt;Tornar</a></td>
      </tr>
    </table>
